org.apache.solr.client.solrj.impl

## Class LBHttpSolrClient.Req

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBSolrClient.Req
  - - org.apache.solr.client.solrj.impl.LBHttpSolrClient.Req

Enclosing class:
  LBHttpSolrClient

Deprecated.
use `LBSolrClient.Req` instead

    @Deprecated
    public static class LBHttpSolrClient.Req
    extends LBSolrClient.Req

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.impl.LBSolrClient.Req

`numDeadServersToTry, request, servers`

### Constructor Summary

Constructors
Constructor and Description
`Req(SolrRequest request, List<String> servers)` Deprecated.
`Req(SolrRequest request, List<String> servers, Integer numServersToTry)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.impl.LBSolrClient.Req

`getNumDeadServersToTry, getNumServersToTry, getRequest, getServers, setNumDeadServersToTry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Req

    public Req(SolrRequest request,
               List<String> servers)

Deprecated.

#### Req

    public Req(SolrRequest request,
               List<String> servers,
               Integer numServersToTry)

Deprecated.